members.dev
Custom fieldsets

Create Custom Fieldset

Creates a Custom Field Set

POST
/v1/custom-fieldsets

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.members.dev/v1/custom-fieldsets" \  -H "Content-Type: application/json" \  -d '{    "entity_type": "user",    "name": "string"  }'
{
  "id": "string",
  "entity_type": "user",
  "name": "string",
  "fields": [
    {
      "id": "string",
      "field_definition_id": "string",
      "display_order": 0,
      "required_override": true,
      "hidden_override": true
    }
  ],
  "created_at": null,
  "updated_at": null
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}